import { BinaryReader, BinaryWriter } from "csharp-binary-stream";
export declare class FontKerning {
    char1: number;
    char2: number;
    u1: number;
    u2: number;
    u3: number;
    u4: number;
    constructor(inStream: BinaryReader);
    write(bw: BinaryWriter): void;
}
export declare class FontCharacter {
    ID: number;
    X: number;
    Y: number;
    W: number;
    H: number;
    XAdvance: number;
    XOffset: number;
    YOffset: number;
    ASCIICode: number;
    ReadInt?(br: BinaryReader, large: boolean): number;
    WriteInt?(bw: BinaryWriter, i: number, large: boolean): void;
    read?(br: BinaryReader, large?: boolean): void;
    WriteMainSection?(bw: BinaryWriter, large?: boolean): void;
    WriteCodeIDSection?(bw: BinaryWriter): void;
}
export declare class DieselFont {
    kerning: FontKerning[];
    characters: FontCharacter[];
    textureWidth: number;
    textureHeight: number;
    name: string;
    u1: number;
    u2: number;
    u3: number;
    u4: number;
    u5: number;
    infoSize: number;
    u7: number;
    commonBase: number;
    lineHeight: number;
    hasKerning(): boolean;
    read(filepath: string, large: boolean): void;
    ReadBMFontXmlFile(filepath: string): void;
    readShortOrInt(br: BinaryReader, large: boolean): number;
    readInt(br: BinaryReader, large: boolean): number;
    writeLong(bw: BinaryWriter, i: number, large: boolean): void;
    writeInt(bw: BinaryWriter, i: number, large: boolean): void;
    ReadDieselFile(br: BinaryReader, large?: boolean): void;
    WriteDieselData(bw: BinaryWriter, large?: boolean): void;
}
